Bug 474224 - remove root requirement for cyclictest/signaltest
remove root requirement for cyclictest/signaltest
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-utilities (Show other bugs)
1.1
All Linux
low Severity medium
: 1.1.1
: ---
Assigned To: Clark Williams
David Sommerseth
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 16:06 EST by Clark Williams
Modified: 2016-05-22 19:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-27 11:06:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clark Williams 2008-12-02 16:06:46 EST
Description of problem:

Cyclictest and signaltest require that they be run as root, when what they really need is to be able to change the scheduler policy and lock memory.
Comment 2 David Sommerseth 2009-03-23 16:15:10 EDT
Created an unprivileged user account on a freshly installed box, and assigned it as a member of the realtime group.  Ran cyclictest and signaltest without any problems as this unprivileged user.
Comment 4 errata-xmlrpc 2009-03-27 11:06:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0395.html

Note You need to log in before you can comment on or make changes to this bug.